Summary: API in "C" for Shapefile handling
Name: shapelib
Version: 1.3.0
Release: 1
# No version of the LGPL is given.
License: LGPLv2+ or MIT
Group: Development/Libraries
URL: http://shapelib.maptools.org/
Source0: http://download.osgeo.org/shapelib/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: proj-devel >= 4.6.0, patch, sed
Requires: proj >= 4.6.0

%description
The Shapefile C Library provides the ability to write
simple C programs for reading, writing and updating (to a
limited extent) ESRI Shapefiles, and the associated
attribute file (.dbf).


%package devel
Summary: Development files for shapelib
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains libshp and the appropriate header files.


%prep
%setup -q
%patch0
/opt/freeware/bin/sed -i "s/\r//g" README
chmod -x README
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cd 32bit && tar cf - . | (cd ../64bit ; tar xpf -)


%build
cd 64bit
# first build the 64-bit version
export OBJECT_MODE=64
make %{?_smp_mflags}
cd contrib
make %{?_smp_mflags}
cd ..
CreateExportList -X64 %{name}.exp libshp.a
${CC} -q64 -qmkshrobj libshp.a -o shr64.o -bE:%{name}.exp -bernotok
rm -f %{name}.exp

cd ../32bit
# now build the 32-bit version
export OBJECT_MODE=32
make %{?_smp_mflags}
cd contrib
make %{?_smp_mflags}
cd ..
CreateExportList -X32 %{name}.exp libshp.a
${CC} -qmkshrobj libshp.a -o shr32.o -bE:%{name}.exp -bernotok
rm -f %{name}.exp

# create shared library
/usr/bin/rm -f libshp.a
/usr/bin/ar -X32 -rv libshp.a shr32.o
/usr/bin/ar -X64 -q  libshp.a ../64bit/shr64.o


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
export OBJECT_MODE=64
make PREFIX=${RPM_BUILD_ROOT}%{_prefix} install
cd contrib
make PREFIX=${RPM_BUILD_ROOT}%{_prefix} install

(
  cd ${RPM_BUILD_ROOT}%{_bindir}
  for f in * ; do
    mv -f ${f} ${f}_64
  done
)

cd ../../32bit
export OBJECT_MODE=32
make PREFIX=${RPM_BUILD_ROOT}%{_prefix} install
cd contrib
make PREFIX=${RPM_BUILD_ROOT}%{_prefix} install

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/LICENSE.LGPL 32bit/README 32bit/README.tree 32bit/web/*.html
%doc 32bit/contrib/doc/shpproj.txt 32bit/stream1.sh 32bit/stream1.out 32bit/stream2.sh
%doc 32bit/stream2.out 32bit/makeshape.sh 32bit/stream3.out 32bit/ChangeLog
%{_bindir}/*
%{_libdir}/*.a
/usr/bin/*
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc 32bit/LICENSE.LGPL 32bit/README
%{_includedir}/*
/usr/include/*


%changelog
* Tue Jul 10 2012 Michael Perzl <michael@perzl.org> - 1.3.0-1
- first version for AIX V5.1 and higher
